Author Topic: circular hatch draw  (Read 2461 times)

0 Members and 1 Guest are viewing this topic.

dussla

  • Bull Frog
  • Posts: 297
circular hatch draw
« on: September 21, 2008, 08:09:31 AM »
hello , friend
i am studying pave design
but i met problem.
cad hatch system  didn't draw circle hatch  below image
how can i draw hatch like this image ?
is there good app ?
« Last Edit: September 22, 2008, 05:18:40 AM by dussla »

GDF

  • Water Moccasin
  • Posts: 2081
Re: circular hatch draw
« Reply #1 on: September 21, 2008, 01:29:08 PM »
Great question, I would like an answer also...
Why is there never enough time to do it right, but always enough time to do it over?
BricsCAD 2020x64 Windows 10x64

VovKa

  • Water Moccasin
  • Posts: 1631
  • Ukraine
Re: circular hatch draw
« Reply #2 on: September 21, 2008, 03:25:38 PM »
that would be a great answer, if any :)

Bob Wahr

  • Guest
Re: circular hatch draw
« Reply #3 on: September 21, 2008, 06:55:00 PM »
I don't know of any way to do it other than polar array.  It won't give you a hatch but will put the pavers in,

VovKa

  • Water Moccasin
  • Posts: 1631
  • Ukraine
Re: circular hatch draw
« Reply #4 on: September 22, 2008, 03:32:25 AM »
it is possible to use circles of certain line type

MickD

  • King Gator
  • Posts: 3637
  • (x-in)->[process]->(y-out) ... simples!
Re: circular hatch draw
« Reply #5 on: September 22, 2008, 04:37:19 AM »
Nice one VovKa, great idea!
"Programming is really just the mundane aspect of expressing a solution to a problem."
- John Carmack

"Short cuts make long delays,' argued Pippin.”
- J.R.R. Tolkien

dussla

  • Bull Frog
  • Posts: 297
Re: circular hatch draw
« Reply #6 on: September 22, 2008, 05:19:41 AM »
vovka ~
thank you good idea
but i wonder how can do that still .
can you explain more detaily ?

New Shooz

  • Guest
Re: circular hatch draw
« Reply #7 on: September 22, 2008, 08:24:46 AM »
It looks reasonable, but it is far from perfect, as there are a couple of 'holes' towards the lower quadrant of the circle

Jimmy D

  • Guest
Re: circular hatch draw
« Reply #8 on: September 22, 2008, 08:38:58 AM »
Could something like this be of any help??

(defun c:CircBricks ()
(defun RadToDeg (Rads)
  (* 180.0 (/ Rads pi))
)
(setq ID (getreal "\nGive Inner Diameter..."))
(setq OD (getreal "\nGive Outer Diameter..."))
(setq BL (getreal "\nGive Brick Length..."))
(setq BW (getreal "\nGive Brick Width..."))
(setq CP (getpoint "\nSelect centerpoint of Circle..."))
(setq Pos 1)
(setq R1 (/ ID 2))
(setq End "No")
(while (= End "No")
(setq Angle1 (* (radtodeg (atan (/ BL 2.00000) (/ ID 2.00000))) 2.00000 ))
(setq R2 (sqrt (+ (expt (+ R1 BW) 2.000)(expt (/ BL 2.000) 2.000))))
(setq ItemsInCircle (fix (/ 360 Angle1)))
(setq PtRc1 (list (- (car CP)(/ BL 2.000))(+ (cadr CP)(* (/ ID 2.000) POS))))
(setq PtRc2 (list (+ (car CP)(/ BL 2.000))(+ (cadr PtRc1) (* BW POS))))
(command "_rectangle" PtRc1 PtRc2)
(command "-array" (entlast) "" "p" CP ItemsInCircle 360 "y")
(setq R1 R2)
(setq ID (* R1 2))
(if (< R2 (/ OD 2))(setq End "No")(setq End "Yes"))
(setq Pos (* POS -1))
);end while
)


Jimmy

Jimmy D

  • Guest
Re: circular hatch draw
« Reply #9 on: September 22, 2008, 08:40:45 AM »
To reply on my own code:

Be aware, just sample code, needs error checking,etc...
Also osnap off.

Jimmy

VovKa

  • Water Moccasin
  • Posts: 1631
  • Ukraine
Re: circular hatch draw
« Reply #10 on: September 22, 2008, 02:26:14 PM »
vovka ~
thank you good idea
but i wonder how can do that still .
can you explain more detaily ?
here are sample files to start with
edit test.lin to add more brick sizes